QuickFIX: FIX::NullApplication Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::NullApplication Class Reference

An empty implementation of an Application. More...

`#include <Application.h>`

Inheritance diagram for FIX::NullApplication:
[legend]
Collaboration diagram for FIX::NullApplication:
[legend]

List of all members.

## Private Member Functions
void | onCreate (const SessionID &)
| Notification of a session begin created.
void | onLogon (const SessionID &)
| Notification of a session successfully logging on.
void | onLogout (const SessionID &)
| Notification of a session logging off or disconnecting.
void | toAdmin (Message &, const SessionID &)
| Notification of admin message being sent to target.
void | toApp (Message &, const SessionID &) throw ( DoNotSend )
| Notification of app message being sent to target.
void | fromAdmin (const Message &, const SessionID &) throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )
| Notification of admin message being received from target.
void | fromApp (const Message &, const SessionID &) throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )
| Notification of app message being received from target.

## Detailed Description

An empty implementation of an Application.

This can be used if you do not want to provide an implementation for all the callback methods. It is also useful for unit tests writing unit tests where the callback values of some or all methods are not of interest.

Definition at line 111 of file Application.h.

## Member Function Documentation

void FIX::NullApplication::fromAdmin | ( | const Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )`[inline, private, virtual]`

Notification of admin message being received from target.

Implements FIX::Application.

Definition at line 119 of file Application.h.

    00120                                                                               {}

void FIX::NullApplication::fromApp | ( | const Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )`[inline, private, virtual]`

Notification of app message being received from target.

Implements FIX::Application.

Definition at line 121 of file Application.h.

    00122                                                                                          {}

void FIX::NullApplication::onCreate | ( | const SessionID & |  | ) | `[inline, private, virtual]`

Notification of a session begin created.

Implements FIX::Application.

Definition at line 113 of file Application.h.

    00113 {}

void FIX::NullApplication::onLogon | ( | const SessionID & |  | ) | `[inline, private, virtual]`

Notification of a session successfully logging on.

Implements FIX::Application.

Definition at line 114 of file Application.h.

    00114 {}

void FIX::NullApplication::onLogout | ( | const SessionID & |  | ) | `[inline, private, virtual]`

Notification of a session logging off or disconnecting.

Implements FIX::Application.

Definition at line 115 of file Application.h.

    00115 {}

void FIX::NullApplication::toAdmin | ( | Message & | ,
|  | const SessionID & |  |
| ) |  |  | `[inline, private, virtual]`

Notification of admin message being sent to target.

Implements FIX::Application.

Definition at line 116 of file Application.h.

    00116 {}

void FIX::NullApplication::toApp | ( | Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( DoNotSend )`[inline, private, virtual]`

Notification of app message being sent to target.

Implements FIX::Application.

Definition at line 117 of file Application.h.

    00118                      {}

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Application.h